## IdeTestProvider IdeTestProvider |

## Functions

gboolean | ide_test_provider_get_loading ()
void | ide_test_provider_set_loading ()
void | ide_test_provider_clear ()
void | ide_test_provider_add ()
void | ide_test_provider_remove ()
void | ide_test_provider_run_async ()
gboolean | ide_test_provider_run_finish ()
void | ide_test_provider_reload ()

## Properties

gboolean | loading | Read / Write

## Types and Values

#define | IDE_TYPE_TEST_PROVIDER
struct | IdeTestProviderClass
| IdeTestProvider

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeTestProvider

## Implemented Interfaces

IdeTestProvider implements GListModel.

## Description

## Functions

### ide_test_provider_get_loading ()

    gboolean
    ide_test_provider_get_loading (IdeTestProvider *self);

### ide_test_provider_set_loading ()

    void
    ide_test_provider_set_loading (IdeTestProvider *self,
                                   gboolean loading);

### ide_test_provider_clear ()

    void
    ide_test_provider_clear (IdeTestProvider *self);

### ide_test_provider_add ()

    void
    ide_test_provider_add (IdeTestProvider *self,
                           IdeTest *test);

### ide_test_provider_remove ()

    void
    ide_test_provider_remove (IdeTestProvider *self,
                              IdeTest *test);

### ide_test_provider_run_async ()

    void
    ide_test_provider_run_async (IdeTestProvider *self,
                                 IdeTest *test,
                                 IdePipeline *pipeline,
                                 VtePty *pty,
                                 GCancellable *cancellable,
                                 GAsyncReadyCallback callback,
                                 gpointer user_data);

### ide_test_provider_run_finish ()

    gboolean
    ide_test_provider_run_finish (IdeTestProvider *self,
                                  GAsyncResult *result,
                                  GError **error);

### ide_test_provider_reload ()

    void
    ide_test_provider_reload (IdeTestProvider *self);

Requests the test provider reloads the tests.

#### Parameters

self | a IdeTestProvider |

Since: 3.32

## Types and Values

### IDE_TYPE_TEST_PROVIDER

    #define IDE_TYPE_TEST_PROVIDER (ide_test_provider_get_type ())

### struct IdeTestProviderClass

    struct IdeTestProviderClass {
      IdeObjectClass parent_class;

      void     (*run_async)  (IdeTestProvider      *self,
                              IdeTest              *test,
                              IdePipeline          *pipeline,
                              VtePty               *pty,
                              GCancellable         *cancellable,
                              GAsyncReadyCallback   callback,
                              gpointer              user_data);
      gboolean (*run_finish) (IdeTestProvider      *self,
                              GAsyncResult         *result,
                              GError              **error);
      void     (*reload)     (IdeTestProvider      *self);
    };

### IdeTestProvider

    typedef struct _IdeTestProvider IdeTestProvider;

## Property Details

### The `“loading”` property

      “loading”                  gboolean

If the provider is loading tests.

Owner: IdeTestProvider

Flags: Read / Write

Default value: FALSE